classification
Title: Documentation changes break existing URIs
Type: behavior Stage:
Components: Documentation Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: barry, georg.brandl, msapiro
Priority: normal Keywords:

Created on 2008-12-31 00:37 by msapiro, last changed 2009-01-11 05:19 by msapiro. This issue is now closed.

Messages (3)
msg78583 - (view) Author: Mark Sapiro (msapiro) * (Python triager) Date: 2008-12-31 00:37
The Mailman GUI contains a few links to the python.org documentation
which are now broken. These links and the current equivalents are:

http://www.python.org/doc/
    works, but could map to http://docs.python.org/
http://www.python.org/doc/current/
    works, but could map to http://docs.python.org/
http://www.python.org/doc/current/lib/
    -> http://docs.python.org/library/
http://www.python.org/doc/current/lib/module-re.htm
    -> http://docs.python.org/library/re.html
http://www.python.org/doc/current/lib/re-syntax
    -> http://docs.python.org/library/re.html#regular-expression-syntax
http://www.python.org/doc/current/lib/typesseq-strings.html
    ->
http://docs.python.org/library/stdtypes.html#string-formatting-operations

It would be really cool if these old URIs could redirect to the new ones.
msg78710 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-01-01 13:26
I've added the redirects. I hope that mailman updates its links in the
next release though :)
msg79589 - (view) Author: Mark Sapiro (msapiro) * (Python triager) Date: 2009-01-11 05:19
Thank you for adding the redirects, and for getting them right in spite
of my garbling some of them in the original report.

I have updated the links for the next Mailman release.
History
Date User Action Args
2009-01-11 05:19:56msapirosetmessages: + msg79589
2009-01-01 13:26:56georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg78710
2008-12-31 00:37:46msapirocreate